Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
LoggingEventPatternConverter Class Referenceabstract

LoggingEventPatternConverter is a base class for pattern converters that can format information from instances of LoggingEvent. More...

Inherits PatternConverter.

Inherited by DatePatternConverter, FileLocationPatternConverter, FullLocationPatternConverter, LevelPatternConverter, LineLocationPatternConverter, LineSeparatorPatternConverter, LiteralPatternConverter, MessagePatternConverter, MethodLocationPatternConverter, NamePatternConverter, NDCPatternConverter, PropertiesPatternConverter, RelativeTimePatternConverter, ThreadPatternConverter, and ThrowableInformationPatternConverter.

## Public Member Functions
virtual void | format (const log4cxx::spi::LoggingEventPtr &event, LogString &toAppendTo, log4cxx::helpers::Pool &p) const =0
| Formats an event into a string buffer. More...
void | format (const log4cxx::helpers::ObjectPtr &obj, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
virtual bool | handlesThrowable () const
| Normally pattern converters are not meant to handle Exceptions although few pattern converters might. More...
Public Member Functions inherited from PatternConverter
virtual LogString | getStyleClass (const log4cxx::helpers::ObjectPtr &e) const
| This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions
| LoggingEventPatternConverter (const LogString &name, const LogString &style)
| Constructs an instance of LoggingEventPatternConverter. More...
Protected Member Functions inherited from PatternConverter
| PatternConverter (const LogString &name, const LogString &style)
| Create a new pattern converter. More...
virtual | ~PatternConverter ()

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Static Protected Member Functions inherited from PatternConverter
static void | append (LogString &toAppendTo, const std::string &src)
| Appends content in the locale code page to a LogString. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

LoggingEventPatternConverter is a base class for pattern converters that can format information from instances of LoggingEvent.

## Constructor & Destructor Documentation

LoggingEventPatternConverter | ( | const LogString & | name,
|  | const LogString & | style
| ) |  |
| protected

Constructs an instance of LoggingEventPatternConverter.

Parameters

  name | name of converter.
  style | CSS style for output.

## Member Function Documentation

virtual void format | ( | const log4cxx::spi::LoggingEventPtr & | event,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) |  | const
| pure virtual

Formats an event into a string buffer.

Parameters

  event | event to format, may not be null.
  toAppendTo | string buffer to which the formatted event will be appended. May not be null.
  p | pool for memory allocations needing during format.

Implemented in DatePatternConverter, PropertiesPatternConverter, ThrowableInformationPatternConverter, ClassNamePatternConverter, LoggerPatternConverter, LineSeparatorPatternConverter, FileLocationPatternConverter, FullLocationPatternConverter, LineLocationPatternConverter, LiteralPatternConverter, MethodLocationPatternConverter, MessagePatternConverter, NDCPatternConverter, LevelPatternConverter, RelativeTimePatternConverter, and ThreadPatternConverter.

void format | ( | const log4cxx::helpers::ObjectPtr & | obj,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) |  | const

virtual bool handlesThrowable | ( |  | ) | const
| virtual

Normally pattern converters are not meant to handle Exceptions although few pattern converters might.

By examining the return values for this method, the containing layout will determine whether it handles throwables or not.

Returns
  true if this PatternConverter handles throwables

Reimplemented in ThrowableInformationPatternConverter.

The documentation for this class was generated from the following file:

- loggingeventpatternconverter.h